 <!DOCTYPE html>
<html lang="es">
    <head>
        <title>Reporte de Pagos</title>
        <link rel="stylesheet" type="text/css" href='<?php echo base_url()?>assets/dist/css/table.css' />
        <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">
        <link rel="stylesheet" href="<?php echo base_url().'assets/plugins/select/bootstrap-select.min.css'?>">
        <!-- Latest compiled and minified JavaScript -->
        <script src="<?php echo base_url().'assets/plugins/select/bootstrap-select.min.js'?>"></script>
    </head>
<body>
    <div class="contenido-form">
        <form action="#" method="POST" class="form-horizontal"> 
            <div class="form-group">
                <div class="form-content">
                    <label for="" class="col-md-1 control-label">Desde:</label>
                    <div class="col-md-4">
                        <input class="form-control date-picker" name="fechainicio" id="fechainicio" value="<?php echo !empty($fechainicio) ? $fechainicio:'';?>">
                    </div>
                </div>
                <div class="form-content">
                    <label for="" class="col-md-1 control-label">Hasta:</label>
                    <div class="col-md-4">
                        <input  class="form-control date-picker" name="fechafin" id="fechafin" value="<?php  echo !empty($fechafin) ? $fechafin:'';?>">
                    </div>
                </div>
            </div>
        </form>
        <form id="ventasReporte" class="navbar-form navbar" action="#">
            <label for="name1">Tipo Reporte  </label>
            <select class="form-control" id="queryReporte" name="queryReporte"> 
                <!-- <option value="">Selecciona una tipo de Reporte</option> -->
                <option value="0">Todos </option>
                <option value="1">Fijos</option>
                <option value="2">Variables</option>
            </select>
            <!-- <input type="submit" class="btn btn-primary" id="filtrarReportes" value="Buscar" />
            <input onclick=location.href="<?php echo base_url();?>reportes/Franquiciatario/reportesF" type="button" id="filtrarReportes" class="btn btn-info volver" value="Regresar"/> -->
            <div class="col-md-12 col-xs-12">
                <div class="form-group col-md-12 col-xs-12 contenedor2 pull-left">
                  <div class="form-content">
                  <div class="col-md-12 col-xs-12">
                    <a href="javascript:window.history.back()" ><button type="button" class="btn btn-danger col-md-12 col-xs-12 "><span class="glyphicon glyphicon-circle-arrow-left"> </span> Regresar</button></a>
                  </div>
                  </div>
                </div>
                <div class="form-group col-md-12 col-xs-12 contenedor2 pull-right">
                  <div class="form-content">
                  <div class="col-md-12 col-xs-12">
                  <button type="submit" class="btn btn-primary col-md-12 col-xs-12 " id="filtrarReportes"><span class="glyphicon glyphicon-search">  </span> Buscar </button>                    
                  </div>
                  </div>
                </div>                  
          </div>
        </form>

                
                
    </div>
    <div class="container">
        <h1>Reporte de Gastos</h1>
        <div class="row">
            <div class="col-md-3 col-sm-4 col-xs-8 col-md-offset-1" id="ingresos" >
            
            </div>
            <div id="egresos" class="col-md-3 col-sm-4 col-xs-8">
                
            </div>
            <div id="ganancias" class="col-md-3 col-sm-4 col-xs-8">
                
            </div>
        </div>
        
        <table id="reporte-gastos" class="display up table" style="width:100%">
        </table>
    </div>
    <!-- Modal loading -->
    <div class="modal fade" id="modal-loader" data-backdrop="static" data-keyboard="false">
    <div class="vertical-alignment-helper">
      <div class="modal-dialog vertical-align-center modal-sm">
            <div style=" text-align: center;">
            <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
            <center class="cargando"> Cargando...</center>
            </div>
      </div>
    </div>
    </div>
    <!-- fin modal loading -->
<!--<script type="text/javascript">

    $(document).ready(function() {
        $('.alert').alert();
        var filtrar = $('#filtrarReportes').val();
        $.fn.datepicker.dates['en'] = {
            days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
            daysShort: ["Dom", "Lun", "Mar", "Mier", "Jue", "Vier", "Sab"],
            daysMin: ["D", "L", "Ma", "Mi", "J", "V", "S"],
            months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
            monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
            today: "Today",
            clear: "Clear",

            weekStart: 0
        };

        $.datepicker.setDefaults($.datepicker.regional['en']);
        $(".date-picker").datepicker( {
            isRTL: false,
            format: "dd-mm-yyyy",
           /* yearRange: "0000",*/
            viewMode: "months,days", 
            minViewMode: "months,days",
        });
        $('.date-picker').datepicker('setDate', 'today');
        //end data-picker


$('#filtrarReportes').click(function(){

    $.fn.dataTable.ext.errMode = 'none';
    $('#reporte-pagos').on('error.dt', function(e, settings, techNote, message) {
       console.log( 'An error has been reported by DataTables: ', message);
    });
    $('#reporte-pagos').empty();

    $('#reporte-pagos').unbind();
        var filtrarPor = $('#queryReporte').val();
        var fechainicio = $('#fechainicio').val();
        var fechafin = $("#fechafin").val();
        console.log(filtrarPor);
        console.log(fechainicio);
        console.log(fechafin);
        if(fechainicio != '' && fechafin != ''){
        
        if(filtrarPor == 0){
            $('#modal-loader').modal();
                $('#reporte-gastos').empty();

                $('#reporte-gastos').unbind();
               
                    console.log(filtrarPor);
                    console.log(fechainicio);
                    console.log("-----------0--------");

                $.ajax({
                url:"<?php echo base_url();?>reportes/Franquiciatario/ReporteGastos/reporteGastosTotales",
                type:'POST',
                dataType: 'json',
                data:{finicio : fechainicio, ffin : fechafin},
                success:function(response){
                    $('#modal-loader').modal('hide');
                    console.log("exito");
                     toastr.success('Se realizó tu busqueda se encontraron '+ response.length +' resultados').css("width","100%"); 
                    console.log(response);
                    var columns = [
                        { "title":"FechaCreacion" },
                        { "title":"Tipo" },
                        { "title":"nombreGasto" },
                        { "title":"Cantidad" },
                        { "title":"Precio" },
                        { "title":"Total" },
                        { "title":"NombreUsuario" },
                    ];      
 
                   var hide = [
                            { targets: [0, 1,2,3,4,5,6], visible: true},
                           /* { targets: [8], visible: false }*/
                        ];
                    $('#reporte-gastos  tfoot').remove();
                    $("#reporte-gastos").append('<tfoot class="dataFooter"><tr><th></th><th></th><th></th><th></th><th></th><th></th><th></th></tr></tfoot>'); 
                    
                    $('#reporte-gastos').DataTable( {
                        dom: "T<'clear'>Bfrtip",
                        responsive: true,
                        columnDefs: hide,
                        data: response,
                        columns: columns,
                        footer: true,
                        destroy: true,
                         /*paging: false,*/
                        /*searching: false,*/
                        buttons: [
                        {
                            extend: 'print',
                            footer: true,
                            filename: 'ReporteGastosTotales',
                            /*messageTop: 'Reporte de Ventas',*/
                            title: '',
                            customize: function ( win ) {

                                $(win.document.body)
                                .css( 'font-size', '10pt' )
                                .prepend(
                                    '<div class="top" style="width: 100%; text-align:center; display:flex; align-items: center; align-content: center;">  <div style="width: 50%;"><img src="<?php echo base_url();?>assets/dist/img/logo.png" style="width: 50%;" /></div><div style="width: 50%; font-size:2em">Reporte de Gastos - Totales</div></div>'
                                    );

                                $(win.document.body).find( 'table' )
                                .addClass( 'compact' )
                                .css( 'font-size', 'inherit' );
                                $(win.document.body).find( 'table' )
                                .addClass( 'mayus' )
                                .css( 'text-transform', 'uppercase' );
                            }
                        },
                        {
                            extend: 'pdf',
                            filename: 'reporteGastosTotales',
                            footer: true,
                            /*messageTop: 'Reporte de Ventas',*/
                            title: '',
                            orientation: 'landscape',
                            pageSize: 'letter',
                            key: { 
                                key: 'e',
                                altKey: false
                            }
                            , content: [{ style: 'fullWidth' }]
                            , styles: { 
                                fullWidth: { fontSize: 10, bold: true, alignment: 'right', margin: [0,0,0,0],   }

                            },
                            exportOptions: {
                                modifier: {
                                    pageMargins: [ 0, 0, 0, 0 ],  
                                    margin: [ 0, 0, 0, 0 ],  
                                    alignment: 'center',
                                    footer: true, 
                                    page: 'all',    
                                }
                                , body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                                footer: true, 
                                columns: [ 0, 1, 2, 3, 4, 5, 6]         

                            },
                            body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                            customize: function ( doc ) {
                                console.log(doc.content);

                            },
                        },
                        {
                            extend: 'excel',
                            filename: 'reporteGastosTotales',
                            title: 'Reporte Gastos - Totales',
                            footer: true,
                        }
                       /* ,'copy', 'csv', 'excel',*/
                        ],

                        language: {
                            "lengthMenu": "Mostrar _MENU_ registros por pagina",
                            "zeroRecords": "No se encontraron resultados en su busqueda",
                            "searchPlaceholder": "Buscar registros",
                            "info": "Mostrando registros de _START_ al _END_ de un total de  _TOTAL_ registros",
                            "infoEmpty": "No existen registros",
                            "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                            "search": "Buscar:",
                            "paginate": {
                                "first": "Primero",
                                "last": "Último",
                                "next": "Siguiente",
                                "previous": "Anterior"
                            },
                        },
                        initComplete: function(row, data, start, end, display) {
                          var api = this.api();
                          var contado = api
                                        .column( 3 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                            var Total = api
                                        .column( 4 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                            var TotalGeneral = api
                                        .column( 5 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                           

           
                            api.columns(4, {
                            page: 'current'
                          }).every(function() {
                            
                           /* console.log("total" + total);  */
                             
                                $( api.column( 0 ).footer() ).html('Total');
                                $( api.column( 1 ).footer() ).html("");
                                $( api.column( 2 ).footer() ).html("" );
                                $( api.column( 3 ).footer() ).html( new Intl.NumberFormat('es-MX').format(contado)  );
                                $( api.column( 4 ).footer() ).html( new Intl.NumberFormat('es-MX').format(Total) );
                                $( api.column( 5 ).footer() ).html( new Intl.NumberFormat('es-MX').format(TotalGeneral) );
                                $( api.column( 6 ).footer() ).html("");
                          });
                        }
                    });
                    $('#reporte-gastos').wrap("<div id='scrooll_div' class='scrollbar-tabla' style='width: 100%;'></div>");
                    $('#scrooll_div').doubleScroll({
                          resetOnWindowResize: true
                        });
                    return false;

                },//end success ajax response
                error:function(){

                    console.log("error");
                    toastr.error("Ocurrio Algun Error verifica los datos ingresados");
                },

                });//end ajax
         return false;
                   
        }//end filtrar por 2 Servicios Franquicia
        else if(filtrarPor == 1){
            $('#modal-loader').modal();
                 console.log(filtrarPor);
                    console.log(fechainicio);
                $.ajax({
                url:"<?php echo base_url();?>reportes/Franquiciatario/ReporteGastos/reporteGastosPorTipo",
                type:'POST',
                dataType: 'json',
                data:{finicio : fechainicio, ffin : fechafin, tipo:'fijo'},
                success:function(response){
                    $('#modal-loader').modal('hide');
                    console.log(response);
                    console.log("exito");
                     toastr.success('Se realizó tu busqueda se encontraron '+ response.length +' resultados').css("width","100%"); 
                    var columns = [
                        { "title":"FechaCreacion" },
                        { "title":"Tipo" },
                        { "title":"nombreGasto" },
                        { "title":"Cantidad" },
                        { "title":"Precio" },
                        { "title":"Total" },
                        { "title":"NombreUsuario" },
                    ];   

                     var hide = [
                            { targets: [0, 1,2,3,4,5,6], visible: true},
                           /* { targets: [8], visible: false }*/
                        ];
                      
                    $('#reporte-gastos  tfoot').remove();
                   $("#reporte-gastos").append('<tfoot class="dataFooter"><tr><th></th><th></th><th></th><th></th><th></th><th></th><th></th></tr></tfoot>');  
                    $('#reporte-gastos').DataTable( {
                        dom: 'T<"clear">Bfrtip',
                        responsive: true,
                        columnDefs: hide,
                        data: response,
                        columns: columns,
                        ServerSide: true,
                         destroy: true,
                         footer: true,
                         processing: true,
                         buttons: [
                        {
                            extend: 'print',
                            text:"IMPRIMIR",
                            footer: true,
                            /*messageTop: 'Reporte de Ventas',*/
                            title: '',
                            customize: function ( win ) {

                                $(win.document.body)
                                .css( 'font-size', '10pt' )
                                .prepend(
                                    '<div class="top" style="width: 100%; text-align:center; display:flex; align-items: center; align-content: center;">  <div style="width: 50%;"><img src="<?php echo base_url();?>assets/dist/img/logo.png" style="width: 50%;" /></div><div style="width: 50%; font-size:2em">Reporte de Gastos - Fijos</div></div>'
                                    );

                                $(win.document.body).find( 'table' )
                                .addClass( 'compact' )
                                .css( 'font-size', 'inherit' );
                                $(win.document.body).find( 'table' )
                                .addClass( 'mayus' )
                                .css( 'text-transform', 'uppercase' );
                            },
                            
                        },
                        {
                            extend: 'pdf',
                            footer: true,
                            filename: 'reporteGastosFijos',
                            /*messageTop: 'Reporte de Ventas',*/
                            title: '',
                            orientation: 'landscape',
                            pageSize: 'letter',
                            key: { 
                                key: 'e',
                                altKey: false
                            }
                            , content: [{ style: 'fullWidth' }]
                            , styles: { 
                                fullWidth: { fontSize: 10, bold: true, alignment: 'right', margin: [0,0,0,0],   }

                            },
                            exportOptions: {
                                modifier: {
                                    pageMargins: [ 0, 0, 0, 0 ],  
                                    margin: [ 0, 0, 0, 0 ],  
                                    alignment: 'center',
                                    page: 'all',
                                   
                                }
                                , body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                                footer: true,
                                columns: [ 0, 1, 2, 3, 4, 5, 6]//son las columnas q quiero q se vean al exportarse          

                            },
                            body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                            customize: function ( doc ) {
                                console.log(doc.content);

                            },
                        },
                        {
                            extend: 'excel',
                            footer: true,
                            filename: 'reporteGastosFijos',
                            title: 'Reporte Gastos Fijos',
                            footer: true,
                        }
                        /*'copy', 'csv', 'excel',*/
                        ],

                        language: {
                            "lengthMenu": "Mostrar _MENU_ registros por pagina",
                            "zeroRecords": "No se encontraron resultados en su busqueda",
                            "searchPlaceholder": "Buscar registros",
                            "info": "Mostrando registros de _START_ al _END_ de un total de  _TOTAL_ registros",
                            "infoEmpty": "No existen registros",
                            "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                            "search": "Buscar:",
                            "paginate": {
                                "first": "Primero",
                                "last": "Último",
                                "next": "Siguiente",
                                "previous": "Anterior"
                            },
                        },
                        initComplete: function(row, data, start, end, display) {
                              
                          var api = this.api();
                          
                          var contado = api
                                        .column( 3 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                            var Total = api
                                        .column( 4 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                            var TotalGeneral = api
                                        .column( 5 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                           

           
                            api.columns(4, {
                            page: 'current'
                          }).every(function() {
                            
                           /* console.log("total" + total);  */
                             
                                $( api.column( 0 ).footer() ).html('Total');
                                $( api.column( 1 ).footer() ).html("");
                                $( api.column( 2 ).footer() ).html("" );
                                $( api.column( 3 ).footer() ).html( new Intl.NumberFormat('es-MX').format(contado)  );
                                $( api.column( 4 ).footer() ).html( new Intl.NumberFormat('es-MX').format(Total) );
                                $( api.column( 5 ).footer() ).html( new Intl.NumberFormat('es-MX').format(TotalGeneral) );
                                $( api.column( 6 ).footer() ).html("");
                          });
                        }
                    });
                    $('#reporte-gastos').wrap("<div id='scrooll_div' class='scrollbar-tabla' style='width: 100%;'></div>");
                    $('#scrooll_div').doubleScroll({
                          resetOnWindowResize: true
                        });
                    return false;

                },//end success ajax response
                error:function(error){

                    console.log("error");
                    console.error(error);
                    toastr.error("Ocurrio Algun Error verifica los datos ingresados");
                },

                });//end ajax
            return false;
                   
        }//end filtrar por 1 ventas Generales
        else if(filtrarPor == 2){
            $('#modal-loader').modal();
                $('#reporte-gastos').empty();

                $('#reporte-gastos').unbind();
               
                    console.log(filtrarPor);
                    console.log(fechainicio);
                    console.log("-----------2--------");

                $.ajax({
                url:"<?php echo base_url();?>reportes/Franquiciatario/ReporteGastos/reporteGastosPorTipo",
                type:'POST',
                dataType: 'json',
                data:{finicio : fechainicio, ffin : fechafin, tipo: 'variable'},
                success:function(response){
                    $('#modal-loader').modal('hide');
                    console.log("exito");
                     toastr.success('Se realizó tu busqueda se encontraron '+ response.length +' resultados').css("width","100%"); 
                    console.log(response);
                    var columns = [
                        { "title":"FechaCreacion" },
                        { "title":"Tipo" },
                        { "title":"nombreGasto" },
                        { "title":"Cantidad" },
                        { "title":"Precio" },
                        { "title":"Total" },
                        { "title":"NombreUsuario" },
                    ];      
 
                   var hide = [
                            { targets: [0, 1,2,3,4,5,6], visible: true},
                           /* { targets: [8], visible: false }*/
                        ];
                    $('#reporte-gastos  tfoot').remove();
                    $("#reporte-gastos").append('<tfoot class="dataFooter"><tr><th></th><th></th><th></th><th></th><th></th><th></th><th></th><th></th><th></th><th></th></tr></tfoot>'); 
                    
                    $('#reporte-gastos').DataTable( {
                        dom: "T<'clear'>Bfrtip",
                        responsive: true,
                        columnDefs: hide,
                        data: response,
                        columns: columns,
                        footer: true,
                        destroy: true,
                         /*paging: false,*/
                        /*searching: false,*/
                        buttons: [
                        {
                            extend: 'print',
                            footer: true,
                            filename: 'ReporteGastosVariables',
                            /*messageTop: 'Reporte de Ventas',*/
                            title: '',
                            customize: function ( win ) {

                                $(win.document.body)
                                .css( 'font-size', '10pt' )
                                .prepend(
                                    '<div class="top" style="width: 100%; text-align:center; display:flex; align-items: center; align-content: center;">  <div style="width: 50%;"><img src="<?php echo base_url();?>assets/dist/img/logo.png" style="width: 50%;" /></div><div style="width: 50%; font-size:2em">Reporte de Gastos - Variables</div></div>'
                                    );

                                $(win.document.body).find( 'table' )
                                .addClass( 'compact' )
                                .css( 'font-size', 'inherit' );
                                $(win.document.body).find( 'table' )
                                .addClass( 'mayus' )
                                .css( 'text-transform', 'uppercase' );
                            }
                        },
                        {
                            extend: 'pdf',
                            filename: 'reporteGastosVariables',
                            footer: true,
                            /*messageTop: 'Reporte de Ventas',*/
                            title: '',
                            orientation: 'landscape',
                            pageSize: 'letter',
                            key: { 
                                key: 'e',
                                altKey: false
                            }
                            , content: [{ style: 'fullWidth' }]
                            , styles: { 
                                fullWidth: { fontSize: 10, bold: true, alignment: 'right', margin: [0,0,0,0],   }

                            },
                            exportOptions: {
                                modifier: {
                                    pageMargins: [ 0, 0, 0, 0 ],  
                                    margin: [ 0, 0, 0, 0 ],  
                                    alignment: 'center',
                                    footer: true, 
                                    page: 'all',    
                                }
                                , body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                                footer: true, 
                                columns: [ 0, 1, 2, 3, 4, 5, 6]         

                            },
                            body : {margin: [ 0, 0, 0, 0 ], pageMargins: [ 0, 0, 0, 0 ]},
                            customize: function ( doc ) {
                                console.log(doc.content);

                            },
                        },
                        {
                            extend: 'excel',
                            filename: 'reporteGastosVariables',
                            title: 'Reporte Gastos - Variables',
                            footer: true,
                        }
                       /* ,'copy', 'csv', 'excel',*/
                        ],

                        language: {
                            "lengthMenu": "Mostrar _MENU_ registros por pagina",
                            "zeroRecords": "No se encontraron resultados en su busqueda",
                            "searchPlaceholder": "Buscar registros",
                            "info": "Mostrando registros de _START_ al _END_ de un total de  _TOTAL_ registros",
                            "infoEmpty": "No existen registros",
                            "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                            "search": "Buscar:",
                            "paginate": {
                                "first": "Primero",
                                "last": "Último",
                                "next": "Siguiente",
                                "previous": "Anterior"
                            },
                        },
                        initComplete: function(row, data, start, end, display) {
                              
                          var api = this.api();
                          
                          var contado = api
                                        .column( 3 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                            var Total = api
                                        .column( 4 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                            var TotalGeneral = api
                                        .column( 5 )
                                        .data()
                                        .reduce(function(a, b) {
                                            var x = parseFloat(a) || 0;
                                            var y = parseFloat(b) || 0;
                                            return x + y;
                                          }, 0);
                           

           
                            api.columns(4, {
                            page: 'current'
                          }).every(function() {
                            
                           /* console.log("total" + total);  */
                             
                                $( api.column( 0 ).footer() ).html('Total');
                                $( api.column( 1 ).footer() ).html("");
                                $( api.column( 2 ).footer() ).html("" );
                                $( api.column( 3 ).footer() ).html( new Intl.NumberFormat('es-MX').format(contado)  );
                                $( api.column( 4 ).footer() ).html( new Intl.NumberFormat('es-MX').format(Total) );
                                $( api.column( 5 ).footer() ).html( new Intl.NumberFormat('es-MX').format(TotalGeneral) );
                                $( api.column( 6 ).footer() ).html("");
                          });
                        }

                    });
                    $('#reporte-gastos').wrap("<div id='scrooll_div' class='scrollbar-tabla' style='width: 100%;'></div>");
                    $('#scrooll_div').doubleScroll({
                          resetOnWindowResize: true
                        });
                    return false;

                },//end success ajax response
                error:function(){

                    console.log("error");
                    toastr.error("Ocurrio Algun Error verifica los datos ingresados");
                },

                });//end ajax
         return false;
                   
        }//end filtrar por 2 Servicios Franquicia
       }//end Fechainicio y fechafin vacias
       else {
             toastr.error("Ocurrio Algun Error Falta alguna Fecha");
              $('#reporte-pagos').empty();
              $('#reporte-pagos').unbind();
             return false;
       }
    });//end click



    });   //end on ready function 
    
</script>-->
<script type="text/javascript" src="<?php echo base_url()?>assets/dist/js/reporteGastos.js"></script>
</body>
</html>